> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-pt/conteudo/tipos-de-entity/emotes.md).

# Emotes

Emotes são os [entidades](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md) que contêm animações para os avatars dos jogadores.

Eles incluem arquivos no formato GLB para diferentes body shapes.

### Ponteiros <a href="#pointers" id="pointers"></a>

Emotes têm exatamente um [pointer](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md)URN associado, que indica a coleção à qual pertencem e o índice deles dentro dela. Eles são URNs desta forma:

```
urn:decentraland:matic:collections-v2:<collection address>:<item index>
```

Para ilustrar, o `ponteiros` array de um emote se parece com isto:

```json
{
  "pointers": [
    "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0"
  ],
  // ... outras propriedades da entidade
}
```

### Campos de Metadata

Emotes compartilham a maioria de seus campos básicos com [wearables](https://github.com/decentraland/docs/tree/main/contributor/entity-types/wearables/README.md). A `emoteDataADR74` propriedade é onde as informações específicas do emote estão localizadas.

| Campo               | Valor                                                                                                                                                 |
| ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                | O [pointer](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) que resolve (ou costumava resolver) para este emote.       |
| `name`              | O título exibido para este emote em um [collection](https://github.com/decentraland/docs/tree/main/contributor/collections/README.md).                |
| `description`       | Uma descrição estendida para este emote.                                                                                                              |
| `imagem`            | O [nome interno do arquivo](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) com uma imagem para este emote.      |
| `miniatura`         | O [nome interno do arquivo](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) para uma versão 256x256 da `imagem`. |
| `raridade`          | Um de `common`, `uncommon`, `rare`, `epic`, `legendary`, `exotic`, `mythic` ou `unique`.                                                              |
| `i18n`              | Uma matriz de traduções para o `name` campo.                                                                                                          |
| `collectionAddress` | O endereço Ethereum da coleção que contém este emote.                                                                                                 |
| `metrics`           | Algumas medições úteis sobre as animações (veja abaixo).                                                                                              |
| `emoteDataADR74`    | Os metadados estendidos para este emote, conforme definido em [ADR-74](https://adr.decentraland.org/adr/ADR-74) (veja abaixo).                        |

É assim que um JSON típico se parece:

```json
{
  "id": "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0",
  "name": "Dança Divertida",
  "description": "Mexa-se como um campeão",
  "image": "image.png",
  "thumbnail": "thumbnail.png",
  "rarity": "rare",
  "i18n": [
    { "code": "es", "text": "Dança Graciosa" }
  ],
  "collectionAddress": "0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5",
  "metrics": {
    // Objeto de medições (veja abaixo).
  },
  "emoteDataADR74": {
    // Metadados estendidos definidos em ADR-74 (veja abaixo).
  }
}
```

### Métricas

Na `metadata.metrics` object, você encontrará algumas medições simples para a animação empacotada com este emote. Um exemplo:

```json
{
  "triangles": 0,
  "materials": 0,
  "textures": 0,
  "meshes": 0,
  "bodies": 0,
  "entities": 1
}
```

### Dados do Emote ADR-74

Este objeto contém os campos de que o World Explorers (ou outras aplicações gráficas) precisam para animar modelos com este emote.

| Campo             | Valor                                                                                          |
| ----------------- | ---------------------------------------------------------------------------------------------- |
| `category`        | Um de `dance`, `stunt`, `greetings`, `fun`, `poses`, `reactions`, `horror` ou `miscellaneous`. |
| `representations` | Uma matriz de arquivos de animação associados a diferentes body shapes.                        |
| `tags`            | Uma matriz de etiquetas de string descritivas deste emote.                                     |
| `loop`            | `true` se a animação deve se repetir quando terminar.                                          |

Algum JSON para clareza:

```json
{
  "category": "dance",
  "representations": [
    // Informações sobre a animação para diferentes body shapes (veja abaixo).
  ],
  "tags": [ "carnaval", "dança" ],
  "loop": true
}
```

#### Representações

Cada item no `metadata.emoteDataADR74.representations` campo define os arquivos de animação apropriados para cada body shape.

| Campo        | Valor                                                                                                                                          |
| ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| `bodyShapes` | Uma matriz de body shape aplicáveis [ponteiros](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md).                |
| `mainFile`   | O [nome interno do arquivo](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) para o arquivo GLB principal. |
| `contents`   | Todos os arquivos, incluindo `mainFile` e quaisquer adicionais que ele possa referenciar.                                                      |

Por exemplo, uma `representação` item:

```json
{
  "bodyShapes": [ "urn:decentraland:off-chain:base-avatars:BaseMale" ],
  "mainFile": "male/funnydance.glb",
  "contents": [
    "male/funnydance.glb"
  ]
}
```

Você normalmente encontrará duas entradas de representação, uma para `BaseMale` e uma para `BaseFemale`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-pt/conteudo/tipos-de-entity/emotes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
